
<app-dynamic-modal *ngIf="openItemsModal" (emitClose)="closeModal()">
    <app-favourites-modal></app-favourites-modal>
</app-dynamic-modal>

<div class="mb10">
    <!-- SearchBy, SortBy, FavouriteButtonModal -->
    <div class="centerItems mb2">
        <button class="favouriteButton" (click)="openModal()">
            <span class="material-icons">
                favorite
            </span>
        </button>
        <!-- Componente de Angular Material. -->
        <mat-paginator [length]="filteredItems.length" [pageSize]="pageSize" [pageSizeOptions]="pageSizeOptions" (page)="handlePage($event)" id="matPaginator" #paginator>
        </mat-paginator>

        <!-- Componentes de filtrado y ordenación. -->
        <div class="dynamicComponents pr5">
            <app-searchby [initialCleanItems]="items" (filteredItemsE)="updateFilteredItems($event, true)"></app-searchby>
            <app-sortby [itemsToOrder]="filteredItems" [keysToOrder]="keysToOrder" (itemsOrdered)="updateFilteredItems($event)"></app-sortby>
        </div>
    </div>
    <!-- Listado de ítems -->
    <div *ngIf="filteredItems && filteredItems.length else noitems">
        <div class="items">
            <div *ngFor="let item of filteredItems | paginate:pageSize:pageNumber; last as isLast" class="box"
            [style.margin-bottom.px]="isLast ? 100 : 0">
            <!-- Contiene atributos normales -->
                <div class="normalItems"> 
                    <p>
                        <strong>{{ 'item.title' | translate }}:</strong>
                        {{ item.title }}
                    </p>
                    <p>
                        <strong>{{ 'item.description' | translate }}:</strong>
                        {{ item.description }}
                    </p>
                    <p>
                        <strong>{{ 'item.price' | translate }}:</strong>
                        {{ item.price }} €
                    </p>
                    <p>
                        <strong>{{ 'item.email' | translate }}: </strong>
                        <a [href]="getMailTo(item.email)">{{ item.email }}</a>
                    </p>
                </div>
                <!-- Contiene imagen y corazón -->
                <div class="photoAndHeart">
                    <!-- Controlamos la imagen del ítem por si en un futuro pudiera ocasionar problema. -->
                    <div *ngIf="item.image" class="itemImage">
                        <img [src]="item.image" alt="ItemImage">
                    </div>
                    <!-- Botón favorito -->
                    <div (click)="clickHeart(item)" class="heart">
                        <span class="material-icons" [ngClass]="item && item.favourite ? 'pinky': 'basic'">
                            favorite
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Si no tenemos ítems... -->
    <ng-template #noitems>
        <div class="noItems">
            {{ 'messages.noItems' | translate }}
        </div>
    </ng-template>
</div>